import promisify from '../src/promisify'
import {readFile} from 'fs'

async function readMe() {
  const readFile_ = promisify<(filename: string) => Promise<Buffer>>(readFile)
  return await readFile_(__dirname + '/promisify.ts')
}

readMe().then((buffer) => {
  console.log(buffer.toString())
})
